/*
 * travelRoutes.js
 * Copyright (c) 2007-2009 Tommi Rautava
 * Copyright (c) 2008-2009 Marko Megla
 * 
 * This file is part of Popomungo.
 *
 * Popomungo is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Popomungo is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


/**
 * @param route
 * @param from
 * @param to
 * @param travelTime
 */
function pm_RouteData(route, from, to, travelTime) {
	this.route = route;
	this.from = from;
	this.to = to;
	this.travelTime = travelTime;
};


var pm_TravelRoutes = {
	
	ROUTE_DATA_BY_CITIES: null,

	ROUTE_DATA_BY_LOCALE_ID: {
		42354:   new pm_RouteData( 11,   1,   7,  9),	// 11	Stockholm - Berlin	(9h)
		42355:   new pm_RouteData( 15,   1,  19,  6),	// 15	Stockholm - Helsinki	(6h)
		42356:   new pm_RouteData( 15,  19,   1,  6),	// 15	Helsinki - Stockholm	(6h)
		42357:   new pm_RouteData( 14,  19,  18,  6),	// 14	Helsinki - Moscow	(6h)
		42358:   new pm_RouteData( 14,  18,  19,  6),	// 14	Moscow - Helsinki	(6h)
		42359:   new pm_RouteData( 18,  18,  10, 48),	// 18	Moscow - Melbourne	(48h)
		42360:   new pm_RouteData(  9,  18,   7, 11),	// 9	Moscow - Berlin	(11h)
		42361:   new pm_RouteData(  9,   7,  18, 11),	// 9	Berlin - Moscow	(11h)
		42362:   new pm_RouteData( 11,   7,   1,  9),	// 11	Berlin - Stockholm	(9h)
		42363:   new pm_RouteData(  4,   7,   8,  6),	// 4	Berlin - Amsterdam	(6h)
		42364:   new pm_RouteData( 10,   7,  20,  9),	// 10	Berlin - Paris	(9h)
		42365:   new pm_RouteData(  4,   8,   7,  6),	// 4	Amsterdam - Berlin	(6h)
		42366:   new pm_RouteData(  5,   8,  20,  6),	// 5	Amsterdam - Paris	(6h)
		42367:   new pm_RouteData(  3,   8,   5,  5),	// 3	Amsterdam - London	(5h)
		42368:   new pm_RouteData(  6,   8,   1,  9),	// 6	Amsterdam - Stockholm	(9h)
		42369:   new pm_RouteData(  6,   1,   8,  9),	// 6	Stockholm - Amsterdam	(9h)
		42370:   new pm_RouteData(  3,   5,   8,  5),	// 3	London - Amsterdam	(5h)
		42371:   new pm_RouteData(  2,   5,  20,  6),	// 2	London - Paris	(6h)
		42372:   new pm_RouteData(  1,   5,   6, 18),	// 1	London - New York	(18h)
		42373:   new pm_RouteData(  2,  20,   5,  6),	// 2	Paris - London	(6h)
		42374:   new pm_RouteData(  7,  20,   9,  6),	// 7	Paris - Barcelona	(6h)
		42375:   new pm_RouteData(  5,  20,   8,  6),	// 5	Paris - Amsterdam	(6h)
		42376:   new pm_RouteData( 10,  20,   7,  9),	// 10	Paris - Berlin	(9h)
		42377:   new pm_RouteData(  7,   9,  20,  6),	// 7	Barcelona - Paris	(6h)
		42393:   new pm_RouteData(  1,   6,   5, 18),	// 1	New York - London	(18h)
		42394:   new pm_RouteData( 21,   6,  16,  6),	// 21	New York - Toronto	(6h)
		42395:   new pm_RouteData( 19,   6,  11,  6),	// 19	New York - Nashville	(6h)
		42396:   new pm_RouteData( 21,  16,   6,  6),	// 21	Toronto - New York	(6h)
		42397:   new pm_RouteData( 20,  16,  11,  6),	// 20	Toronto - Nashville	(6h)
		42398:   new pm_RouteData( 20,  11,  16,  6),	// 20	Nashville - Toronto	(6h)
		42399:   new pm_RouteData( 17,  11,  14,  9),	// 17	Nashville - Los Angeles	(9h)
		42400:   new pm_RouteData( 19,  11,   6,  6),	// 19	Nashville - New York	(6h)
		42401:   new pm_RouteData( 17,  14,  11,  9),	// 17	Los Angeles - Nashville	(9h)
		42402:   new pm_RouteData( 16,  14,  10, 42),	// 16	Los Angeles - Melbourne	(42h)
		42403:   new pm_RouteData( 13,  11,  17, 22),	// 13	Nashville - Buenos Aires	(22h)
		42404:   new pm_RouteData( 13,  17,  11, 22),	// 13	Buenos Aires - Nashville	(22h)
		42406:   new pm_RouteData( 12,  17,  10, 24),	// 12	Buenos Aires - Melbourne	(24h)
		42407:   new pm_RouteData( 18,  10,  18, 48),	// 18	Melbourne - Moscow	(48h)
		42408:   new pm_RouteData( 12,  10,  17, 24),	// 12	Melbourne - Buenos Aires	(24h)
		42410:   new pm_RouteData(  8,   7,  19,  9),	// 8	Berlin - Helsinki	(9h)
		42411:   new pm_RouteData(  8,  19,   7,  9),	// 8	Helsinki - Berlin	(9h)
		43397:   new pm_RouteData( 16,  10,  14, 42),	// 16	Melbourne - Los Angeles	(42h)
		53713:   new pm_RouteData( 22,  21,  17,  6),	// 22	São Paulo - Buenos Aires	(6h)
		53715:   new pm_RouteData( 23,  21,  11, 18),	// 23	São Paulo - Nashville	(18h)
		53716:   new pm_RouteData( 22,  17,  21,  6),	// 22	Buenos Aires - São Paulo	(6h)
		53717:   new pm_RouteData( 23,  11,  21, 18),	// 23	Nashville - São Paulo	(18h)
		67703:   new pm_RouteData( 24,  22,   1,  6),	// 24	Copenhagen - Stockholm	(6h)
		67704:   new pm_RouteData( 25,  22,   7,  3),	// 25	Copenhagen - Berlin	(3h)
		67705:   new pm_RouteData( 24,   1,  22,  6),	// 24	Stockholm - Copenhagen	(6h)
		67706:   new pm_RouteData( 25,   7,  22,  3),	// 25	Berlin - Copenhagen	(3h)
		72534:   new pm_RouteData( 27,  23,   9, 10),	// 27	Rome - Barcelona	(10h)
		72535:   new pm_RouteData( 28,  23,   7, 10),	// 28	Rome - Berlin	(10h)
		72536:   new pm_RouteData( 26,  10,  23, 36),	// 26	Melbourne - Rome	(36h)
		72537:   new pm_RouteData( 27,   9,  23, 10),	// 27	Barcelona - Rome	(10h)
		72538:   new pm_RouteData( 28,   7,  23, 10),	// 28	Berlin - Rome	(10h)
		90690:   new pm_RouteData( 26,  23,  10, 36),	// 26	Rome - Melbourne	(36h)
		103252:  new pm_RouteData( 29,  24,  20,  9),	// 29	Madrid - Paris	(9h)
		103253:  new pm_RouteData( 29,  20,  24,  9),	// 29	Paris - Madrid	(9h)
		103254:  new pm_RouteData( 30,  24,   9,  3),	// 30	Madrid - Barcelona	(3h)
		103255:  new pm_RouteData( 30,   9,  24,  3),	// 30	Barcelona - Madrid	(3h)
		104853:  new pm_RouteData( 31,  25,  21,  3),	// 31	Rio de Janeiro - São Paulo	(3h)
		104854:  new pm_RouteData( 31,  21,  25,  3),	// 31	São Paulo - Rio de Janeiro	(3h)
		106207:  new pm_RouteData( 32,  26,   1, 12),	// 32	Tromsø - Stockholm	(12h)
		106208:  new pm_RouteData( 32,   1,  26, 12),	// 32	Stockholm - Tromsø	(12h)
		106340:  new pm_RouteData( 33,  19,  26, 14),	// 33	Helsinki - Tromsø	(14h)
		106341:  new pm_RouteData( 33,  26,  19, 14),	// 33	Tromsø - Helsinki	(14h)
		111715:  new pm_RouteData( 34,  27,   5,  4),	// 34	Glasgow - London	(4h)
		111716:  new pm_RouteData( 34,   5,  27,  4),	// 34	London - Glasgow	(4h)
		111861:  new pm_RouteData( 35,  27,  26,  9),	// 35	Glasgow - Tromsø	(9h)
		111862:  new pm_RouteData( 35,  26,  27,  9),	// 35	Tromsø - Glasgow	(9h)
		126094:  new pm_RouteData( 36,  28,  18,  4),	// 36	Vilnius - Moscow	(4h)
		126095:  new pm_RouteData( 36,  18,  28,  4),	// 36	Moscow - Vilnius	(4h)
		126098:  new pm_RouteData( 37,  28,   7,  6),	// 37	Vilnius - Berlin	(6h)
		126099:  new pm_RouteData( 37,   7,  28,  6),	// 37	Berlin - Vilnius	(6h)
		132104:  new pm_RouteData( 38,  29,  23,  6),	// 38	Dubrovnik - Rome	(6h)
		132105:  new pm_RouteData( 39,  29,  28,  6),	// 39	Dubrovnik - Vilnius	(6h)
		132106:  new pm_RouteData( 38,  23,  29,  6),	// 38	Rome - Dubrovnik	(6h)
		132107:  new pm_RouteData( 39,  28,  29,  6),	// 39	Vilnius - Dubrovnik	(6h)
		138062:  new pm_RouteData( 40,  30,  29,  6),	// 40	Istanbul - Dubrovnik	(6h)
		138063:  new pm_RouteData( 40,  29,  30,  6),	// 40	Dubrovnik - Istanbul	(6h)
		141073:  new pm_RouteData( 41,  31,  25, 18),	// 41	Porto - Rio de Janeiro	(18h)
		141074:  new pm_RouteData( 41,  25,  31, 18),	// 41	Rio de Janeiro - Porto	(18h)
		141076:  new pm_RouteData( 42,  31,  24,  3),	// 42	Porto - Madrid	(3h)
		141077:  new pm_RouteData( 42,  24,  31,  3),	// 42	Madrid - Porto	(3h)
		170275:  new pm_RouteData( 43,  32,  14,  6),	// 43	Mexico City - Los Angeles	(6h)
		170385:  new pm_RouteData( 43,  14,  32,  6),	// 43	Los Angeles - Mexico City	(6h)
		170389:  new pm_RouteData( 44,  21,  32, 12),	// 44	São Paulo - Mexico City	(12h)
		170390:  new pm_RouteData( 44,  32,  21, 12),	// 44	Mexico City - São Paulo	(12h)
		188786:  new pm_RouteData( 45,  33,   8,  3),	// 45	Brussels - Amsterdam	(3h)
		188788:  new pm_RouteData( 45,   8,  33,  3),	// 45	Amsterdam - Brussels	(3h)
		188801:  new pm_RouteData( 46,  33,  20,  3),	// 46	Brussels - Paris	(3h)
		188809:  new pm_RouteData( 46,  20,  33,  3),	// 46	Paris - Brussels	(3h)
		188829:  new pm_RouteData( 47,  33,   7,  4),	// 47	Brussels - Berlin	(4h)
		188830:  new pm_RouteData( 47,   7,  33,  4),	// 47	Berlin - Brussels	(4h)
		195221:  new pm_RouteData( 48,  34,  18,  4),	// 48	Tallinn - Moscow	(4h)
		195222:  new pm_RouteData( 49,  34,  19,  2),	// 49	Tallinn - Helsinki	(2h)
		195223:  new pm_RouteData( 48,  18,  34,  4),	// 48	Moscow - Tallinn	(4h)
		195224:  new pm_RouteData( 49,  19,  34,  2),	// 49	Helsinki - Tallinn	(2h)
		249604:  new pm_RouteData( 50,  35,  30,  3),	// 50	Ankara - Istanbul	(3h)
		249605:  new pm_RouteData( 50,  30,  35,  3),	// 50	Istanbul - Ankara	(3h)
		249718:  new pm_RouteData( 51,  35,  10, 24),	// 51	Ankara - Melbourne	(24h)
		249719:  new pm_RouteData( 51,  10,  35, 24),	// 51	Melbourne - Ankara	(24h)
		283118:  new pm_RouteData( 52,  36,  29,  2),	// 52	Belgrade - Dubrovnik	(2h)
		283119:  new pm_RouteData( 52,  29,  36,  2),	// 52	Dubrovnik - Belgrade	(2h)
		283133:  new pm_RouteData( 53,  36,  30,  4),	// 53	Belgrade - Istanbul	(4h)
		283134:  new pm_RouteData( 53,  30,  36,  4),	// 53	Istanbul - Belgrade	(4h)
		358648:  new pm_RouteData( 55,  38,   6,  6),	// 55	Montreal - New York	(6h)
		358649:  new pm_RouteData( 55,   6,  38,  6),	// 55	New York - Montreal	(6h)
		358651:  new pm_RouteData( 54,  38,  16,  6),	// 54	Montreal - Toronto	(6h)
		358652:  new pm_RouteData( 54,  16,  38,  6),	// 54	Toronto - Montreal	(6h)
		473153:  new pm_RouteData( 56,  39,  10,  9),	// 56	Singapore - Melbourne	(9h)
		473164:  new pm_RouteData( 56,  10,  39,  9),	// 56	Melbourne - Singapore	(9h)
		473165:  new pm_RouteData( 57,  39,  35, 16),	// 57	Singapore - Ankara	(16h)
		473166:  new pm_RouteData( 57,  35,  39, 16),	// 57	Ankara - Singapore	(16h)
		654147:  new pm_RouteData( 58,  42,  36,  2),	// 58	Budapest - Belgrade	(2h)
		654148:  new pm_RouteData( 58,  36,  42,  2),	// 58	Belgrade - Budapest	(2h)
		654343:  new pm_RouteData( 59,  42,  33,  6),	// 59	Budapest - Bryssels	(6h)
		654344:  new pm_RouteData( 59,  33,  42,  6),	// 59	Brussels - Budapest	(6h)
		670108:  new pm_RouteData( 60,  45,  39,  6),	// 60	Shanghai - Singapore	(6h)
		670110:  new pm_RouteData( 60,  39,  45,  6),	// 60	Singapore - Shanghai	(6h)
		670113:  new pm_RouteData( 61,  32,  45, 12),	// 61	Mexico City - Shanghai	(12h)
		670114:  new pm_RouteData( 61,  45,  32, 12),	// 61	Shanghai - Mexico City	(12h)
		670116:  new pm_RouteData( 62,  18,  45, 18),	// 62	Moscow - Shanghai	(18h)
		670117:  new pm_RouteData( 62,  45,  18, 18),	// 62	Shanghai - Moscow 	(18h) 
		732247:  new pm_RouteData( 65,   9,  32, 48),	// 65	Barcelona - Mexico City	(48h)
		732248:  new pm_RouteData( 65,  32,   9, 48),	// 65	Mexico City - Barcelona	(48h)
		773844:  new pm_RouteData( 63,  46,  36,  3),	// 63	Bucharest - Belgrade	(3h)
		773846:  new pm_RouteData( 63,  36,  46,  3),	// 63	Belgrade - Bucharest	(3h)
		773847:  new pm_RouteData( 64,  46,  18, 11),	// 64	Bucharest - Moscow	(11h)
		773848:  new pm_RouteData( 64,  18,  46, 11),	// 64	Moscow - Bucharest	(11h)
		782754:  new pm_RouteData( 66,  47,  46,  6),	// 66	Izmir - Bucharest	(6h)
		782758:  new pm_RouteData( 66,  46,  47,  6),	// 66	Bucharest - Izmir	(6h)
		782759:  new pm_RouteData( 67,  47,  35,  6),	// 67	Izmir - Ankara	(6h)
		782760:  new pm_RouteData( 67,  35,  47,  6),	// 67	Ankara - Izmir	(6h)
		803083:  new pm_RouteData( 70,   5,  31,  6),	// 70	London - Porto	(6h)
		804051:  new pm_RouteData( 70,  31,   5,  6),	// 70	Porto - London	(6h)
		848068:  new pm_RouteData( 68,  48,  42,  3),	// 68	Warsaw - Budapest	(3h)
		848071:  new pm_RouteData( 68,  42,  48,  3),	// 68	Budapest - Warsaw	(3h)
		848073:  new pm_RouteData( 69,  48,  22,  4),	// 69	Warsaw - Copenhagen	(4h)
		848075:  new pm_RouteData( 69,  22,  48,  4),	// 69	Copenhagen - Warsaw	(4h)
		1097336: new pm_RouteData( 71,  47,  30,  2),	// 71	Izmir - Istanbul	(2h)
		1098615: new pm_RouteData( 71,  30,  47,  2),	// 71	Istanbul - Izmir	(2h)
		1137124: new pm_RouteData( 72,  27,  22,  6),	// 72	Glasgow - Copenhagen	(6h)
		1137438: new pm_RouteData( 72,  22,  27,  6),	// 72	Copenhagen - Glasgow	(6h)
		1174273: new pm_RouteData( 73,  29,  49,  2),	// 73	Dubrovnik - Sarajevo	(2h)
		1174274: new pm_RouteData( 73,  49,  29,  2),	// 73	Sarajevo - Dubrovnik	(2h)
		1174278: new pm_RouteData( 74,  36,  49,  2),	// 74	Belgrade - Sarajevo	(2h)
		1174279: new pm_RouteData( 74,  49,  36,  2),	// 74	Sarajevo - Belgrade	(2h)
		1349146: new pm_RouteData( 75,  50,  14,  8),	// 75	Seattle - Los Angeles	(8h)
		1349320: new pm_RouteData( 75,  14,  50,  8),	// 75	Los Angeles - Seattle	(8h)
		1349327: new pm_RouteData( 76,  50,  45, 42),	// 76	Seattle - Shanghai	(42h)
		1349328: new pm_RouteData( 76,  45,  50, 42),	// 76	Shanghai - Seattle	(42h)
		1349329: new pm_RouteData( 77,  50,  16, 19),	// 77	Seattle - Toronto	(19h)
		1349330: new pm_RouteData( 77,  16,  50, 19),	// 77	Toronto - Seattle	(19h)
		1438527: new pm_RouteData( 78,  16,  26, 42),	// 78	Toronto - Tromsø	(42h)
		1439716: new pm_RouteData( 78,  26,  16, 42),	// 78	Tromsø - Toronto	(42h)
		1451183: new pm_RouteData( 79,  33,   5,  2),	// 79	Brussels - London	(2h)
		1451971: new pm_RouteData( 79,   5,  33,  2),	// 79	London - Brussels	(2h)
		1499878: new pm_RouteData( 80,  42,  46,  2),	// 80	Budapest - Bucharest	(2h)
		1500331: new pm_RouteData( 80,  46,  42,  2),	// 80	Bucharest - Budapest	(2h)
		1525438: new pm_RouteData( 81,  30,  18,  7),	// 81	Istanbul - Moscow	(7h)
		1527050: new pm_RouteData( 81,  18,  30,  7),	// 81	Moscow - Istanbul	(7h)
		1575851: new pm_RouteData( 82,  48,  28,  2),	// 82	Warsaw - Vilnius	(2h)
		1576545: new pm_RouteData( 82,  28,  48,  2),	// 82	Vilnius - Warsaw	(2h)
		1606683: new pm_RouteData( 83,  48,   7,  3),	// 83	Warsaw - Berlin	(3h)
		1606718: new pm_RouteData( 88,  48,  29,  4),	// 88	Warsaw - Dubrovnik	(4h)
		1607772: new pm_RouteData( 84,   5,   1,  8),	// 84	London - Stockholm	(8h)
		1607773: new pm_RouteData( 84,   1,   5,  8),	// 84	Stockholm - London	(8h)
		1607889: new pm_RouteData( 83,   7,  48,  3),	// 83	Berlin - Warsaw	(3h)
		1619003: new pm_RouteData( 85,  20,  23,  6),	// 85	Paris - Rome	(6h)
		1619756: new pm_RouteData( 85,  23,  20,  6),	// 85	Rome - Paris	(6h)
		1623186: new pm_RouteData( 86,  42,  23,  3),	// 86	Budapest - Rome	(3h)
		1623334: new pm_RouteData( 86,  23,  42,  3),	// 86	Rome - Budapest	(3h)
		1642624: new pm_RouteData( 87,  11,  50, 14),	// 87	Nashville - Seattle	(14h)
		1648829: new pm_RouteData( 87,  50,  11, 14),	// 87	Seattle - Nashville	(14h)
		1685649: new pm_RouteData( 88,  29,  48,  4),	// 88	Dubrovnik - Warsaw	(4h)
		1741777: new pm_RouteData( 90,  31,   6, 27),	// 90	Porto - New York	(27h)
		1741778: new pm_RouteData( 90,   6,  31, 27),	// 90	New York - Porto	(27h)
		1743000: new pm_RouteData( 89,  34,  48,  3),	// 89	Tallinn - Warsaw	(3h)
		1743133: new pm_RouteData( 89,  48,  34,  3),	// 89	Warsaw - Tallinn	(3h)
		1785605: new pm_RouteData( 91,  48,  35,  9),	// 91	Warsaw - Ankara	(9h)
		1785671: new pm_RouteData( 91,  35,  48,  9),	// 91	Ankara - Warsaw	(9h)
		1845504: new pm_RouteData( 92,  51,  24, 18),	// 92	Johannesburg - Madrid	(18h)
		1845506: new pm_RouteData( 92,  24,  51, 18),	// 92	Madrid - Johannesburg	(18h)
		1845508: new pm_RouteData( 93,  51,  35, 18),	// 93	Johannesburg - Ankara	(18h)
		1845509: new pm_RouteData( 93,  35,  51, 18),	// 93	Ankara - Johannesburg	(18h)
		1845510: new pm_RouteData( 94,  51,  25, 18),	// 94	Johannesburg - Rio de Janeiro	(18h)
		1845512: new pm_RouteData( 94,  25,  51, 18),	// 94	Rio de Janeiro - Johannesburg	(18h)
		1886640: new pm_RouteData( 95,  52,  23,  2),	// 95	Milan - Rome	(2h)
		1886642: new pm_RouteData( 95,  23,  52,  2),	// 95	Rome - Milan	(2h)
		1886724: new pm_RouteData( 96,  52,  49,  2),	// 96	Milan - Sarajevo	(2h)
		1886726: new pm_RouteData( 96,  49,  52,  2),	// 96	Sarajevo - Milan	(2h)
		1893987: new pm_RouteData( 97,  20,  26,  8),	// 97	Paris - Tromsø	(8h)
		1895339: new pm_RouteData( 97,  26,  20,  8),	// 97	Tromso - Paris	(8h)
		1921998: new pm_RouteData( 98,  49,  33,  4),	// 98	Sarajevo - Brussels (4h)
		1923091: new pm_RouteData( 98,  33,  49,  4),	// 98	Brussels - Sarajevo	(4h)
		1949027: new pm_RouteData( 99,  26,  22,  4),	// 99	Tromsø - Copenhagen	(4h)
		1958739: new pm_RouteData(102,  53,  52,  3),	// 102	Sofia - Milano	(3h)
		1958740: new pm_RouteData(102,  52,  53,  3),	// 102	Milano - Sofia	(3h)
		1958743: new pm_RouteData(101,  53,  30,  3),	// 101	Sofia - Istanbul	(3h)
		1958745: new pm_RouteData(101,  30,  53,  3),	// 101	Istanbul - Sofia	(3h)
		1959625: new pm_RouteData( 99,  22,  26,  4)	// 99	Copenhagen - Tromsø	(4h)
		//: new pm_RouteData(100,,,),	// 100
		//: new pm_RouteData(100,,,),	// 100
	},


	initRouteDataByCities: function initRouteDataByCities() {
		try {
			if (this.ROUTE_DATA_BY_CITIES == null) {
				pm_Logger.debug('Initialize route data by cities map');
				
				this.ROUTE_DATA_BY_CITIES = {};
				var i;
				
				for (i in this.ROUTE_DATA_BY_LOCALE_ID) {
					var routeData = this.ROUTE_DATA_BY_LOCALE_ID[i];
					
					if (!this.ROUTE_DATA_BY_CITIES[routeData.from]) {
						this.ROUTE_DATA_BY_CITIES[routeData.from] = {};
					}
					
					this.ROUTE_DATA_BY_CITIES[routeData.from][routeData.to] = routeData;
				}
			}
			else {
				pm_Logger.debug('map items='+ this.ROUTE_DATA_BY_CITIES.length);
			}
		}
		catch (err) {
			pm_Logger.logError(err);
		}
	}
};

/*
	TRAVEL_TIME_BY_ROUTE_NAME: {
		'London - New York': 18,		// 1	London - New York	(18h)
		'New York - London': 18,		// 1	New York - London	(18h)
		'London - Paris': 6,			// 2	London - Paris	(6h)
		'Paris - London': 6,			// 2	Paris - London	(6h)
		'London - Amsterdam': 5,		// 3	London - Amsterdam	(5h)
		'Richting Londen': 5,			// 3	Amsterdam - London	(5h)
		'Berlin - Amsterdam (6h)': 6,	// 4	Berlin - Amsterdam	(6h)
		'Richting Berlijn': 6,			// 4	Amsterdam - Berlin	(6h)
		'Richting Parijs': 6,			// 5	Amsterdam - Paris	(6h)
		'Paris - Amsterdam': 6,			// 5	Paris - Amsterdam	(6h)
		'Stockholm - Amsterdam': 9,		// 6	Stockholm - Amsterdam	(9h)
		'Richting Stockholm': 9,		// 6	Amsterdam - Stockholm	(9h)
		'A7 a París': 6,				// 7	Barcelona - Paris	(6h)
		'Paris - Barcelona': 6,			// 7	Paris - Barcelona	(6h)
		'Berlin - Helsinki (9h)': 9,	// 8	Berlin - Helsinki	(9h)
		'Helsinki - Berlin (9h)': 9,	// 8	Helsinki - Berlin	(9h)
		'Berlin - Moscow (11h)': 11,	// 9	Berlin - Moscow	(11h)
		'Москва - Берлин': 11,			// 9	Moscow - Berlin	(11h)
		'Berlin - Paris (9h)': 9,		// 10	Berlin - Paris	(9h)
		'Paris - Berlin': 9,			// 10	Paris - Berlin	(9h)
		'Stockholm - Berlin': 9,		// 11	Stockholm - Berlin	(9h)
		'Berlin - Stockholm (9h)': 9,	// 11	Berlin - Stockholm	(9h)
		'Melbourne - Buenos Aires': 24,	// 12	Melbourne - Buenos Aires	(24h)
		'Buenos Aires - Melbourne': 24,	// 12	Buenos Aires - Melbourne	(24h)
		'Nashville - Buenos Aires': 22,	// 13	Nashville - Buenos Aires	(22h)
		'Buenos Aires - Nashville': 22,	// 13	Buenos Aires - Nashville	(22h)
		'Москва - Хельсинки': 6,		// 14	Moscow - Helsinki	(6h)
		'Helsinki - Moscow (6h)': 6,	// 14	Helsinki - Moscow	(6h)
		'Stockholm - Helsinki': 6,		// 15	Stockholm - Helsinki	(6h)
		'Helsinki - Stockholm (6h)': 6,	// 15	Helsinki - Stockholm	(6h)
		'Melbourne - LA': 42,			// 16	Melbourne - Los Angeles	(42h)
		'LA - Melbourne': 42,			// 16	Los Angeles - Melbourne	(42h)
		'Nashville - LA': 9,			// 17	Nashville - Los Angeles	(9h)
		'LA - Nashville': 9,			// 17	Los Angeles - Nashville	(9h)
		'Melbourne - Moscow': 48,		// 18	Melbourne - Moscow	(48h)
		'Москва - Мельбурн': 48,		// 18	Moscow - Melbourne	(48h)
		'New York - Nashville': 6,		// 19	New York - Nashville	(6h)
		'Nashville - New York': 6,		// 19	Nashville - New York	(6h)
		'Nashville - Toronto': 6,		// 20	Nashville - Toronto	(6h)
		'Toronto - Nashville': 6,		// 20	Toronto - Nashville	(6h)
		'New York - Toronto': 6,		// 21	New York - Toronto	(6h)
		'Toronto - New York': 6,		// 21	Toronto - New York	(6h)
		'Buenos Aires - São Paolo': 6,	// 22	Buenos Aires - São Paulo	(6h)
		'São Paulo-Buenos Aires-6h': 6,	// 22	São Paulo - Buenos Aires	(6h)
		'Nashville - São Paolo': 18,	// 23	Nashville - São Paulo	(18h)
		'São Paulo-Nashville (18h)': 18,	// 23	São Paulo - Nashville	(18h)
		'Stockholm - Copenhagen': 6,	// 24	Stockholm - Copenhagen	(6h)
		'Copenhagen - Stockholm': 6,	// 24	Copenhagen - Stockholm	(6h)
		'Berlin - Copenhagen (3h)': 3,	// 25	Berlin - Copenhagen	(3h)
		'Copenhagen - Berlin': 3,		// 25	Copenhagen - Berlin	(3h)
		'Melbourne - Rome': 36,			// 26	Melbourne - Rome	(36h)
		'A26 Rome - Melbourne': 36,		// 26	Rome - Melbourne	(36h)
		'A7 a Roma': 10,				// 27	Barcelona - Rome	(10h)
		'A27 Rome - Barcelona': 10,		// 27	Rome - Barcelona	(10h)
		'Berlin - Rome (10h)': 10,		// 28	Berlin - Rome	(10h)
		'A28 Rome - Berlin': 10,		// 28	Rome - Berlin	(10h)
		'Paris - Madrid': 9,			// 29	Paris - Madrid	(9h)
		'Madrid - París': 9,			// 29	Madrid - Paris	(9h)
		'A2 a Madrid': 3,				// 30	Barcelona - Madrid	(3h)
		'Madrid - Barcelona': 3,		// 30	Madrid - Barcelona	(3h)
		'São Paulo - Rio (3h)': 3,		// 31	São Paulo - Rio de Janeiro	(3h)
		'Rio -> São Paulo (3h)': 3,		// 31	Rio de Janeiro - São Paulo	(3h)
		'Stockholm - Tromsø': 12,		// 32	Stockholm - Tromsø	(12h)
		'Tromsø - Stockholm': 12,		// 32	Tromsø - Stockholm	(12h)
		'Helsinki - Tromsø (14h)': 14,	// 33	Helsinki - Tromsø	(14h)
		'Tromsø - Helsinki': 14,		// 33	Tromsø - Helsinki	(14h)
		'London - Glasgow': 4,			// 34	London - Glasgow	(4h)
		'Glasgow - London (4h)': 4,		// 34	Glasgow - London	(4h)
		'Tromsø - Glasgow': 9,			// 35	Tromsø - Glasgow	(9h)
		'Glasgow - Tromsø (9h)': 9,		// 35	Glasgow - Tromsø	(9h)
		'Москва - Вильнюс': 4,			// 36	Moscow - Vilnius	(4h)
		'Vilnius - Moscow': 4,			// 36	Vilnius - Moscow	(4h)
		'Berlin - Vilnius (6h)': 6,		// 37	Berlin - Vilnius	(6h)
		'Vilnius - Berlin': 6,			// 37	Vilnius - Berlin	(6h)
		'A38 Rome - Dubrovnik': 6,		// 38	Rome - Dubrovnik	(6h)
		'Dubrovnik - Rim': 6,			// 38	Dubrovnik - Rome	(6h)
		'Vilnius - Dubrovnik': 6,		// 39	Vilnius - Dubrovnik	(6h)
		'Dubrovnik - Vilnius': 6,		// 39	Dubrovnik - Vilnius	(6h)
		'Dubrovnik - Istanbul': 6,		// 40	Dubrovnik - Istanbul	(6h)
		'Istanbul - Dubrovnik': 6,		// 40	Istanbul - Dubrovnik	(6h)
		'Rio -> Porto (18h)': 18,		// 41	Rio de Janeiro - Porto	(18h)
		'Porto - Rio (18h)': 18,		// 41	Porto - Rio de Janeiro	(18h)
		'Madrid - Oporto': 3,			// 42	Madrid - Porto	(3h)
		'Porto - Madrid (3h)': 3,		// 42	Porto - Madrid	(3h)
		'LA - Mexico City': 6,			// 43	Los Angeles - Mexico City	(6h)
		'Mexico City - Los Angeles': 6,	// 43	Mexico City - Los Angeles	(6h)
		'São Paulo - México (12h)': 12,	// 44	São Paulo - Mexico City	(12h)
		'Mexico City - São Paulo': 12,	// 44	Mexico City - São Paulo	(12h)
		'Richting Brussel': 3,			// 45	Amsterdam - Brussels	(3h)
		'A12 - Brussel-Amsterdam': 3,	// 45	Brussels - Amsterdam	(3h)
		'Paris - Brussels': 3,			// 46	Paris - Brussels	(3h)
		'E19 - Bruxelles-Paris': 3,		// 46	Brussels - Paris	(3h)
		'Berlin - Brussels (4h)': 4,	// 47	Berlin - Brussels	(4h)
		'E40 - Brussel-Berlin': 4,		// 47	Brussels - Berlin	(4h)
		'Москва - Таллин': 4,			// 48	Moscow - Tallinn	(4h)
		'Tallinn - Moskva': 4,			// 48	Tallinn - Moscow	(4h)
		'Helsinki - Tallinn (2h)': 2,	// 49	Helsinki - Tallinn	(2h)
		'Tallinn - Helsingi': 2,		// 49	Tallinn - Helsinki	(2h)
		'Istanbul - Ankara': 3,			// 50	Istanbul - Ankara	(3h)
		'Ankara - Istanbul (3h)': 3,	// 50	Ankara - Istanbul	(3h)
		'Melbourne - Ankara': 24,		// 51	Melbourne - Ankara	(24h)
		'Ankara - Melbourne (24h)': 24,	// 51	Ankara - Melbourne	(24h)
		'Dubrovnik - Beograd': 2,		// 52	Dubrovnik - Belgrade	(2h)
		'Beograd - Dubrovnik': 2,		// 52	Belgrade - Dubrovnik	(2h)
		'Istanbul - Belgrade': 4,		// 53	Istanbul - Belgrade	(4h)
		'Beograd - Istanbul': 4,		// 53	Belgrade - Istanbul	(4h)
		'Toronto - Montreal': 6,		// 54	Toronto - Montreal	(6h)
		'Montreal - Toronto': 6,		// 54	Montreal - Toronto	(6h)
		'New York - Montreal': 6,		// 55	New York - Montreal	(6h)
		'Montreal - New York': 6,		// 55	Montreal - New York	(6h)
		'Melbourne - Singapore': 9,		// 56	Melbourne - Singapore	(9h)
		'Singapore - Melbourne': 9,		// 56	Singapore - Melbourne	(9h)
		'Ankara - Singapore (16h)': 16,	// 57	Ankara - Singapore	(16h)
		'Singapore - Ankara': 16		// 57	Singapore - Ankara	(16h)
	},
*/
